[package]
name = "sdkserver"
edition = "2021"
version.workspace = true

[dependencies]
env_logger.workspace = true

axum.workspace = true
axum-server.workspace = true

serde.workspace = true
serde_json.workspace = true
toml.workspace = true

tokio.workspace = true
tokio-util.workspace = true
thiserror.workspace = true
sqlx.workspace = true
rsa.workspace = true
rand.workspace = true
rbase64.workspace = true

tracing.workspace = true
tracing-futures.workspace = true
tracing-log.workspace = true
tracing-subscriber.workspace = true
tracing-bunyan-formatter.workspace = true

common.workspace = true

password-hash = { version = "0.5.0", features = ["alloc", "rand_core"] }
pbkdf2 = { version = "0.12.2", features = ["simple"] }
regex = "1.10.6"
